package saccubus.worker.classic.profile;

import saccubus.worker.classic.profile.Proxy;

/**
 *
 * @author yuki
 */
public class LoginInfo implements saccubus.worker.profile.LoginProfile {

    private final String mail;
    private final String pass;
    private final Proxy proxy;

    public LoginInfo(String mail, String pass, Proxy proxy) {
        this.mail = mail;
        this.pass = pass;
        this.proxy = proxy;
    }

    public String getMail() {
        return mail;
    }

    public String getPassword() {
        return pass;
    }

    public Proxy getProxy() {
        return proxy;
    }
}
